include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

== Exceptions

Assignments in ``++while++`` statement conditions, and assignments enclosed in relational expressions are ignored.

----
BufferedReader br = new BufferedReader(/* ... */);
String line;
while ((line = br.readLine()) != null) {...}
----

Chained assignments, including compound assignments, are ignored.

----
int i = j = 0;
int k = (j += 1);
result = (bresult = new byte[len]);
----

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
